Skip to Content
FlowVerifyDevelopers
API referenceEnvelopes

Update envelope settings

Scope envelopes:write. Drafts accept every field. After sending, only the deadline (days_to_complete, expires_at) may change, and only while the envelope is awaiting signatures; unsigned signers are told about the new deadline.

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
type?string

Free-form document type shown in the dashboard

Lengthlength <= 200
description?string
Lengthlength <= 5000
folder?string
Lengthlength <= 500
note_to_recipients?string
Lengthlength <= 5000
reference?string

Your own correlation id

Lengthlength <= 200
signing_method?SigningMethod

flowverify = FlowVerify-certified click-to-sign; aadhaar = Aadhaar eSign (Business plan+); pfx = your organization's uploaded certificate

Value in"flowverify""aadhaar""pfx"
send_in_order?boolean

Sequential signing in recipient order

days_to_complete?integer
Range1 <= value <= 365
Default15
expires_at?|

Fixed deadline; overrides days_to_complete

Formatdate-time
auto_reminders?boolean
Defaulttrue
reminder_days?integer

Days between automatic reminders; must be shorter than days_to_complete

Range1 <= value <= 365
allow_comments?boolean
name?string
Lengthlength <= 500

Response Body

The envelope

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?
Example Request
curl -X PATCH 'https://api.flowverify.co/v1/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": {    "object": "envelope",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "reference": "string",    "external_reference": "string",    "name": "string",    "type": "string",    "description": "string",    "folder": "string",    "note_to_recipients": "string",    "status": "draft",    "mode": "send",    "signing_method": "flowverify",    "send_in_order": true,    "days_to_complete": 0,    "expires_at": "2019-08-24T14:15:22Z",    "auto_reminders": true,    "reminder_days": 0,    "allow_comments": true,    "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",    "bulk_group_id": "d79d1808-cde8-4e17-88af-e68d9273ee36",    "recipients": [      {        "object": "recipient",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "email": "string",        "phone": "string",        "role": "sign",        "order": 0,        "status": "pending",        "language": "string",        "auth": {          "email_otp": true,          "sms_otp": true        },        "sent_at": "2019-08-24T14:15:22Z",        "viewed_at": "2019-08-24T14:15:22Z",        "signed_at": "2019-08-24T14:15:22Z",        "declined_at": "2019-08-24T14:15:22Z",        "decline_reason": "string"      }    ],    "files": [      {        "object": "file",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "size": 0,        "content_type": "string",        "page_count": 0,        "order": 0,        "fields": [          {            "object": "field",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",            "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",            "type": "signature",            "label": "string",            "page": 0,            "x": 0,            "y": 0,            "width": 0,            "height": 0,            "required": true,            "value": "string",            "is_filled": true          }        ]      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "sent_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "voided_at": "2019-08-24T14:15:22Z",    "declined_at": "2019-08-24T14:15:22Z",    "expired_at": "2019-08-24T14:15:22Z"  }}